Subject: [hackathon] Universal Acceptance - Hackathon project

From: Don Hollander <[email-masked]>
Date: Thu, 26 Jan 2017 01:57:46 +0000

I’m new, so please be gentle.

I’ve created a Universal Acceptance project as part of the IETF Hackathon.

My hope is that the utilities that the IETF uses can be reviewed and then made UA Ready – which means that it can cope will all domain names and all email addresses.

I hope that there will be some coders and IETF admin folks who are interested in this – because I am neither.

Below is a more formal note.

See www.uasg.tech<http://www.uasg.tech> for more information on Universal Acceptance

Thanks.

Don

Universal Acceptance Project
IETF Hackathon
26 January 2017
V 1

Executive Summary
This project for the IETF Hackathon is to make sure that the IETF’s own internal systems and open source utilities that the IETF uses are Universal Acceptance (UA) Ready and EAI (Email Address Internationalisation) Ready.

Background
Universal Acceptance is a foundational requirement for a truly multilingual Internet, one in which users around the world can navigate entirely in local languages. It is also the key to unlocking the potential of new generic top-level domains (gTLDs) to foster competition, consumer choice and innovation in the domain name industry. To achieve Universal Acceptance, Internet applications and systems must treat all TLDs in a consistent manner, including new gTLDs and internationalized TLDs. Specifically, they must accept, validate, store, process and display all domain names.

The Universal Acceptance Steering Group is a community-based team working to share this vision for the Internet of the future with those who construct this space: coders. The group's primary objective is to help software developers and website owners understand how to update their systems to keep pace with an evolving domain name system (DNS).
More details, including Quick Guides and a detailed Introduction to Universal Acceptance are available at www.uasg.tech<http://www.uasg.tech/>.

Criteria for being UA Ready
The key criteria for being UA Ready is for an application to be able to Accept, Validate, Store, Process and Display all domain names equally.   In addition, the ability to deal with Unicode in the local part of an email address will ensure that the project is also ready for EAI (Email Address Internationalisation).

·         Data fields that contain a domain name (including email addresses) should be able to accept Unicode characters.
·         Any validation that occurs based on a table should make sure that it uses a current authoritative table of valid top level domains.   Validation based on syntax may be sufficient.
·         Data should be stored in UTF8.
·         Where data that may be processed for sorting, searching, or comparison the application should transform data where appropriate in a consistent manner.  If data is accepted and stored as Unicode, then search strings based on Punycode must be transformed to Unicode prior to the process.
·         Data fields with domain names should display them in Unicode.   Email addresses should also make sure that the local part can also be displayed in Unicode.  This assumes that the display device (screen, printer) is able to properly display Unicode characters and has the appropriate character sets deployed.
The Project
This Hackathon project will:

·         Identify the applications that the IETF uses that are UA relevant – that is that they deal with a domain name, including domain names in email addresses.
·         Prioritise the application for ease of remedy or maximum benefit – ideally one and the same.
·         Review the code, including code libraries.  If newer libraries are available that include UA Ready routines, then make the upgrade and deploy the UA ready routines.
·         Where routines are not available in the existing or more current library, then make the relevant code changes to make the application UA Ready.
·         Consider updating the underlying library with UA ready routines.